package org.jboss.resteasy.providers.injection.resource;

import java.util.List;
import java.util.stream.Collectors;

import javax.ejb.Stateless;
import javax.validation.constraints.NotEmpty;
import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

@Stateless
@Path("/")
public class TestResource {

    @POST
    @Path("put/list")
    @Consumes(MediaType.APPLICATION_JSON)
    public String putList(@NotEmpty List<String> a) {
        return "Hello bars " + a.stream().collect(Collectors.joining(", "));
    }
    
    @GET
    @Path("get")
    @Produces("text/plain")
    public String get() {
    	return "get() ok";
    }
}

